Introduction

ADM is short for Applicator Data Module, an electronic module attached to a crimping applicator.

The ADM holds data to identify the applicator electronically and to help manage its preventive maintenance schedule.

The ADM PC software allows a user to inspect and interact with the information held inside the ADM module.

Here are links to some important initial tasks and help items:

How to log in for the first time

How to install the 1-wire USB drivers

Why the ADM is "Not Connected"

What the ADM Database is for

What can I do without logging in?

Without logging in you can:

- open the associated documents

- save a report

- check a value of:

- the cycle count;

- the maintained part identifiers,

- the individual cycle counts;

- the planned lifetime;

- the number of days until full inspection:

- the full inspection due date;

- the maximum force limit;

- add some notes;

- see the tools inspection and replacement warnings;

- look in the ADM Database ;

Software Requirements

To run the software you need:

- 15MB of space on the local hard drive for the software installation and minimum 1MB for the local database file (higher free space volume for the database is strongly recommended)

- .NET Framework v2.0.50727

- Microsoft Data Access Components v2.8.

These components are installed with the main application

Hardware Requirements

To connect to an ADM you need:

- A 1-wire USB device , which connects the ADM to the PC's USB socket

OR

- A Sentry if connecting via Ethernet

How to find software updates

To check for any updates click on the "Update" button located on the Info tab . Alternatively visit the web site http://www.circuitmaster.co.uk and search for the software updates.

Software version and other information

You can determine the version of your ADM software by selecting the Info tab . The software version is located as shown on the picture.

Missing image: swversion.bmp


How to install the 1-wire USB drivers

The first time you plug in the USB adapter, windows should detect new hardware and attempt to install the software for it.

During this process' Windows may ask you for the location of a file named DS2490.sys

Use the browse button to locate it. It should be located in the ...\system32\drivers sub folder.

If the DS2490.sys file does not exist there, please try linking to it from the "1-Wire Drivers v.4" folder located in application root folder instead.

(Default path: "C:\Program Files\ApplicatorDataModule\1-Wire Drivers v.4")


Sentry overview

What the Sentry is for

The Sentry Description and Operation

The Sentry is designed to provide a simple, reliable and optimised PC to ADM connection as well as process monitoring, fast warning indication, machine operator access level control and more.

The Sentry combines the benefits of 100% standalone enforcement of applicator maintenance within ISO/TS16949 requirements along with network communications which allow more powerful functions in one compact and convenient package. The Sentry is easy to install and use and it can connect to PCs over an Ethernet LAN via standard Ethernet cabling.

Cost saving features of the Sentry, include advance warning indication and a real time status display at the press itself. With networking you can improve security for the production processes as well as administration efficiency.

The advanced security enhancements, like emergency machine blocking and overforce indication can help protect your production equipment, improve process efficiency and reduce time, and significantly reduce repair costs from potentially disastrous out-of-control tool maintenance.

For more information please fallow the link: http://www.circuitmaster.co.uk/sentrysupport/


Installation

Sentry installation

Connection to the press

Sentry is connected to the crimping press by an 8-core cable which plugs into the right hand connector at the bottom of the Sentry (when viewed from the front)

Power Supply

If DC or half-wave rectified AC voltage in the range 7 to 24V is available inside the press, it may be applied to the Grey core, the Brown core provides the ground return.

If it is not possible to use spare power from the press, the alternative power input socket can be used.

It should be supplied through a 2.1mm jack with the centre pin positive. In this case note that the alternative power input is connected to the Grey core inside the Sentry so the Grey core should be insulated inside the press.

Relay Output

The Yellow and Green cores should be wired to block the press when the relay is open.

Press Fire Input

A 24V pulse should be applied across the Orange and Blue cores each time the press is fired. This allows the Sentry to count cycles and increment the counters in e-tag ADMs.

The input is a bidirectional LED opto-isolator so polarity of the signal is not important.

Alternatively if a CFA is installed on the press a pass pulse can be applied at the Orange and Blue cores and a fail pulse applied across the Red and Black cores. In this way the total number of cycles is still known to the Sentry but process yield data is also collected.

Connection to Ethernet network

The Sentry provides a 10/100 base T Ethernet port which can be connected to a wired network.

The port has fixed polarity although most network hub hardware provides automatic polarity detection and switching. In many cases a straight-thru cat 5 cable connects successfully to a hub but occasionally, if connecting directly to a PC for example, a cross-over wired cable may be needed.

When a successful connection is made the LEDs in the socket will illuminate.

Connection to the ADM

The ADM connector should be plugged into the 6 way socket situated between the Ethernet and the 2.1mm power jack connections. If operator ID tags are being used a T-piece adapter can be plugged in here to provide two 6 way sockets, one for the ADM connector and one for the ID tag holder.


Firmware Updates

ToolingSentry units contain two microprocessors.

1)The communication processor, providing Ethernet communications.

2) The application processor which handles the ADM validation tasks.

Both processors are re-programmable in the field when, from time to time, new firmware is released.

Re-programming the communication processor

The Sentry's communication processor has two layers of software, the firmware layer and the application layer. Both layers may be reprogrammed if necessary using the device explorer utility.

You will need administrator privileges on your PC to do this.

Download "ToolingSentry Communication Processor Programming.zip" from the firmware updates page and extract its contents to a working folder then run the included install.bat file to register this utility on your PC.

Run the Device Explorer by double-clicking on the em202upgr.vbs file and a window should open listing all the ToolingSentries it can find on your network, showing details of the installed firmware in the version column and the installed application in the Comment column. If you have a firewall enabled you may be asked to unblock the program to allow it to access your network

The communications firmware can be downloaded from the software page .

In the Device Explorer, shift-click, ctrl-click etc to select the ToolingSentries which you wish to re-program.

Click Upload and select Load Firmware Through the Network.

Locate and open the downloaded firmware (.bin) file. It will then be uploaded into all the selected ToolingSentries.

The communications application can be downloaded from the software page .

In the Device Explorer, shift-click, ctrl-click etc to select the ToolingSentries which you wish to re-program.

Click Upload and select Load Application Through the Network.

Locate and open the downloaded application (.tpc) file. It will then be uploaded into all the selected ToolingSentries.

When firmware and application layer programming is complete, the device explorer may be closed.

Re-programming the Application processor

The Sentry's application processor can be re-programmed.

The ToolingSentry's communication processor must first be working properly and should itself be running the correct application in order to successfully re-program the application processor.

Download Setup Sentry Application Programmer.msi from the firmware updates page to a working folder then run the installation.

You will need Administrator privileges on your PC to do this.

This software relies on Microsoft .NET framework 2.0 being installed on your PC. If you need to install .NET, it can be downloaded from Microsoft

Stop any running applications on your PC, and any others on your network, which may be communicating with the ToolingSentry network (ADM or SentryHub for example).

Run the re-programming application Start...All Programs...Sentry...Sentry Application Programmer

If you have a firewall enabled, you may be asked to unblock this program to allow it to access your network.

The Application Programmer scans your local network and fills the list box with the IP addresses of all the ToolingSentries it can find.

Click the Find Sentries button if you want to rescan the network.

Download the application file to a working directory on your PC.

The application file can be downloaded from the software page

Press the '...' Button then browse to select the downloaded file.

Use shift-click, ctrl-click etc in the list box to select the ToolingSentries which you wish to re-program.

Click the Program selected button.

You should see the progress bar grow, when the process is finished the Programmer may be closed.

Sometimes it is necessary to power the ToolingSentries off and then back on again after reprogramming the application.


Web page

Sentry's web page

Each Sentry provides its own miniature web-site.

The web site's index page displays the Sentry's current status.

There is also a page which allows a few configuration variables to be set-up.

To connect your web browser to a sentry's web site refer to the Sentry's IP address and enter into your browser's address bar. E.g. 'http://10.0.0.50'

If you don't already know the IP address of a Sentry you can discover it by pressing its Ident button.

The browser should display a page like this:

Pressing the Refresh button updates this page when required.

If an ADM is connected the ADM Components button is visible. You can press it to display a detailed view of the life remaining for each component

Pressing the Settings button loads the settings page:

On the settings page you can:

Give a meaningful name to the Sentry

Specify how the Sentry obtains an IP address

Disable the press, it will be blocked even if the ADM is OK

Method of IP Address Assignment

All network communications is performed by referring to each sentry's IP address.

Each Sentry (and also all other network clients such as PCs, printers, routers, switches etc) must all have their own unique IP address within the network to avoid address conflicts.

There are two common strategies for ensuring unique IP addresses are assigned to network clients, Static addressing and DHCP. The network administrator should be able to decide which method is appropriate. Sentry supports both methods.

If static addressing is selected, the network administrator must decide the IP address which should be typed into the address box on the setup page.

If DHCP is selected, the address box can be left untouched.

The sentry can also be assigned a more meaningful name in the Press Name box.

After changing any of the values on the Setup page the Sentry should be rebooted by pressing the Save these settings and restart button.

IP Address assignment at Startup

When power is applied to a Sentry, it checks to see whether DHCP addressing is selected

If DHCP addressing is selected:

The Sentry tries to obtain an IP address from a local network DHCP service.

If DHCP was successful, the Sentry uses the assigned IP address.

If not successful the Sentry uses the MRU (Most Recently Used) IP address.

Note: Successful DHCP assignments cause the MRU address to be updated and saved for future use.

With DHCP assignment, it is important that the Sentry is connected to the network and the DHCP server is active before powering up the sentry otherwise the attempt to obtain a DHCP assignment is guaranteed to fail.

If static addressing is selected:

The Sentry uses the IP address entered on the Settings page of it's web site.

Identifying a Sentry

Once an IP address has been established at startup (this can take a few seconds) it is briefly displayed on the Sentry's LCD along with the Press Name.

The method by which the IP address was established is also shown:

(DHCP) IP Address indicates a successful assignment by a DHCP server.

(MRU) IP Address indicates DHCP assignment was unsuccessful and the Sentry reverted to it's Most Recently Used IP address.

Fixed IP Address indicates fixed addressing is selected.

The IP Address/Press Name display can also be activated at any later time by pressing the small button inside the Sentry. The button can be found behind a small hole in the left-hand side of the metal case. It can be pressed using the point of a pencil or a similar tool.

Installation tips

Many Sentry installations will be installed into an existing Ethernet network which will probably have been set up such that client devices are assigned IP addresses in the RFC1597 private address ranges:

10.0.0.0 - 10.255.255.255

172.16.0.0 - 172.31.255.255

192.168.0.0 - 192.168.255.255

A brand new Sentry from the factory will usually be set to use DHCP; its MRU address being somewhere in the range 10.0.0.0 - 10.0.0.254.

If the Sentry cannot successfully communicate to your DHCP server because your network is located in a different segment (i.e. a different range) the Sentry will appear on your network using its MRU address. In this situation you may not easily be able to connect your browser to the sentry's web page in order to reconfigure it.

To connect to a Sentry in a different network segment you can temporarily configure a PC with a network connection at a static address in the 10.0.0.x range.

This can be done under Windows XP Professional by:

Go to Start...Control Panel...Network Connections

Select a LAN connection and access its properties

In the General tab, select the Internet Protocol (TCP/IP) item then press the Properties button.

Select Use the following IP address and fill in the IP Address box with e.g. 10.0.0.1 and the subnet mask with 255.0.0.0

Press OK and close the properties dialogue.

The PC should now be able to connect to the Sentry's web page in order to reconfigure its assignment to suit your network.

It is possible that network routing hardware, hubs, switches etc, between your PC and the Sentry could block communications so it may be necessary to bypass this by making a direct wired connection from the PC to the Sentry.

Note Sentries do not automatically detect the network cable polarity like most hubs do when making a direct connection it is usually necessary to use a cross-over Ethernet cable.


Stores Adapter

The Stores Adapter System is designed to collect data from the applicators located in the stores.

The Stores Adapter allows the connection of up to ten modules per store adapter. However, the stores adapters can be connected as a daisy chain which opens up the possibility of an unlimited number of modules which can be connected. (The only limitation will be PC's memory and/or its processor limitations.)

Installation

Currently the stores adapter system is only available in one wire (USB) connection mode. Ethernet communication will be available soon.

The installation is simply made by daisy chaining the stores adapters...

connecting the ADM modules (up to ten per unit)...

and connecting one of the stores adapters, through the 1-wire hub (or for the future through an Ethernet adaptor) to the PC, where the data will be stored.

Warning:

The data can not be seen on reports made from other PC's other than the one the stores system is connected to, except the PC's with the Factory Solution software installed.

The ten slots grouped together are for the ADM modules in stores, the two slots on the other side of the LED are for daisy chaining, to connect to the PC or to the local ADM .

The flashing LED is used to visualise the data stream or connection attempt. If it stays on for while, it's to help navigate to the module the ADM software is connected to.

The stores adapter name can be set by the software interface. This feature allows you to know the exact location of your tooling and also helps to arrange you stores in an efficient manner. This option will be available in the next ADM software release.


Network hints and tips

Many Sentry installations will be installed into an existing Ethernet network which will probably have been set up such that client devices are assigned IP addresses in the RFC1597 private address ranges:

10.0.0.0 - 10.255.255.255

172.16.0.0 - 172.31.255.255

192.168.0.0 - 192.168.255.255

A brand new Sentry from the factory will usually be set to use DHCP; its MRU address being somewhere in the range 10.0.0.0 - 10.0.0.254.

If the Sentry cannot successfully communicate to your DHCP server because your network is located in a different segment (i.e. a different range) the Sentry will appear on your network using its MRU address. In this situation you may not easily be able to connect your browser to the sentry's web page in order to reconfigure it.

To connect to a Sentry in a different network segment you can temporarily configure a PC with a network connection at a static address in the 10.0.0.x range.

This can be done under Windows XP Professional by:

Go to Start...Control Panel...Network Connections

Select a LAN connection and access its properties

In the General tab, select the Internet Protocol (TCP/IP) item then press the Properties button.

Select Use the following IP address and fill in the IP Address box with e.g. 10.0.0.1 and the subnet mask with 255.0.0.0

Press OK and close the properties dialogue.

The PC should now be able to connect to the Sentry's web page in order to reconfigure its assignment to suit your network.

It is possible that network routing hardware, hubs, switches etc, between your PC and the Sentry could block communications so it may be necessary to bypass this by making a direct wired connection from the PC to the Sentry.

Note Sentries do not automatically detect the network cable polarity like most hubs do when making a direct connection it is usually necessary to use a cross-over Ethernet cable.

Network security may have impact on the Sentry Hub System. To help find the best way to configure network communication with the system, please read the few tips and facts:

- the Sentries communicate with a PC using UDP protocol

- to communicate the system use ports: 731 to 736 and 80

- to use more than one IP range - additional network card(s) installation may be necessary

-


Connection types

The differences between the "Local USB", "USB Stores", "Show ReadOnly ADMs In Stores" and "Sentry" connection settings

The " Local USB " connection is the PCs connection through the 1-wire USB device to an applicounter . (If the system contains the stores subsystem , the connection may be diverted from the Blue Hub to the stores adapter and from there in to the ADM module). This connection mode is designed for users to perform edits on the modules from the maintenance office. It can also be used to monitor individual machines in small cells .

The application allows more than one module to be connected simultaneously through the 1-wire USB device to the PC. This multi-connection mode is intended for lead maker machines with more then one press which have an integral PC. The number of modules can be extended depending on the customer's needs. To connect more then one ADM additional hardware is required. Default in the "Local USB mode" is set to that the system can connect to only one module at a time. The module connected under this mode will get "L:" (Local) in front of the MasterID on the " Connected ADMs " list. In the multi-connection mode in front of the MasterID letter "U:" (USB) will appear. For more information please contact our local distributor .

The " USB Stores " and the " Show ReadOnly ADMs In Stores " options are for the stores subsystem. The "USB Stores" enable/disable tick box scans through the stores system to keep the ADMs database up to date. The "Show ReadOnly ADMs In Stores" enables/disables the applicounters MasterID being displayed on the "Connected ADMs" list. Although the MasterIDs can be seen on the list, a user can not edit module's memory in this mode. To edit a module you need to connect it under the "Local USB" mode. The module connected under this mode will get "Ur:" (USB ReadOnly) in front of the MasterID on the "Connected ADMs" list.

The " Sentry " (Ethernet) connection mode allows a higher number of ADM modules to be connected as editable at one time. The physical connection to each ADM is made by a Sentry . Each Sentry is installed on the local Ethernet network. See ( How to connect to the ADM through the Ethernet (TCP/IP) ). Additionally this mode enables an extra application window designed to visualise the Sentries settings and state. You can find more information by following the link: Sentry Hub The module connected under this mode will get "S:" (Sentry) in front of the MasterID on the "Connected ADMs" list.


Connected ADMs list

The Connected ADMs list displays any connected modules Master IDs.

The main reason why Master IDs should be set to unique values is to avoid duplicates appearing in this list.

If any of the modules require service, the ADMs with warnings list will be shown next to the Connected ADMs list.

To connect to any ADM select the units Master ID either from the Connected ADMs list or from the ADMs with warnings list.

The selected ADM will then be the focus of attention, it's data will be loaded into the Ident and Details tabs.


How to connect to an ADM through the Ethernet

To connect to ADMs through an Ethernet network you require one or more Sentries powered up and connected to the local net, the ADMs should be connected to the Sentries.

The Connected ADMs list should display any connected modules Master IDs.

The main reason why Master IDs should be set to unique values is to avoid duplicates appearing in this list.

If any of the modules require service, the ADMs with warnings list will be shown next to the Connected ADMs list.

To connect to any ADM select the units Master ID either from the Connected ADMs list or from the ADMs with warnings list.

The selected ADM will then be the focus of attention, it's data will be loaded into the Ident and Details tabs.


ADM is not connected

Why the ADM is not connected

If the Ident tab appears blank or the Connected Modules list is blank, it means no connection between the PC and an ADM has been made.

At the same time the icon located in the taskbar change to the one shown below.

It may happen if:

- the 1-wire drivers are not installed or installed incorrectly (solution: How to install the 1-wire drivers )

- the ADM is unplugged or not plugged correctly (solution: check the connections, re-plug the ADM)

- the port being used is not switched on in the PC's bios (solution: check the bios settings)

- the ADM or 1-wire USB device is damaged, (solution: try substituting alternative hardware)


The taskbar icon dictionary

The connection condition is signified by an icon located in the taskbar.

When the application is first started, a search icon will appear. Once connection is made to the first module, the search icon will disappear.

When the adapter is set correctly, and at last one ADM module is connected and all connected ADM modules are without warnings, the applicator icon is shown.

Hovering the mouse over the taskbar icon will result in a tool tip message appearing showing the number of ADM modules connected and recognised.

If any of the connected modules have warnings, the taskbar icon will change to the flashing Warning icon. See the picture below. ( How to read the warnings )

If for some reason the ADM software can't find any modules connected to the PC or to the network, the taskbar icon will change to the Not connected icon. ( Why the AppliCounter is Not Connected )


Local USB

Also see Show ReadOnly ADMs In Stores , Multi-connection mode , Sentry and the USB Stores connection mode.

The " Local USB " connection is the PCs connection through the Blue Hub to an applicounter . (If the system contains the stores subsystem , the connection may be diverted from the Blue Hub to the stores adapter and from there in to the ADM module). This connection mode is designed for users to perform edits on the modules from the maintenance office. It can also be used to monitor individual machines in small cells .

The application allows more than one module to be connected simultaneously through the 1-wire USB device to the PC. This multi-connection mode is intended for machines with more then one press which have an integral PC. The number of modules can be extended depending on the customer's needs. To connect more then one ADM additional hardware is required. By default in the "Local USB mode" is set so that the system can connect to only one module at a time. The module connected under this mode will get "L:" (Local) in front of the MasterID on the " Connected ADMs " list. In the multi-connection mode in front of the MasterID letter "U:" (USB) will appear. For more information please contact our local distributor .


Show ReadOnly ADMs In Stores

Also see Local USB , Multi-connection mode and the Sentry connection mode.

The " Show ReadOnly ADMs In Stores " option is for the stores subsystem. The "Show ReadOnly ADMs In Stores" enable/disable the applicounters MasterID being displayed on the "Connected ADMs" list. Although the MasterIDs can be seen on the list, a user can not edit module's memory in this mode. To edit a module you need to connect it under the "Local USB" mode. The module connected under this mode will get "Ur:" (USB ReadOnly) in front of the MasterID on the "Connected ADMs" list. This option is enabled only if the " USB Stores " box is ticked.


Multi-connection mode

Also see Local USB , Show ReadOnly ADMs In Stores , Sentry and the USB Stores connection mode.

The application allows more than one module to be connected simultaneously through the 1-wire USB device to the PC. This multi-connection mode is intended for leadmaker machines with more then one press which have an integral PC. The number of modules can be extended depending on the customer's needs. To connect more then one ADM additional hardware is required. Default in the "Local USB mode" is set to that the system can connect to only one module at a time. The module connected under this mode will get "L:" (Local) in front of the MasterID on the " Connected ADMs " list. In the multi-connection mode in front of the MasterID letter "U:" (USB) will appear. For more information please contact our local distributor .


Sentry

Also see Local USB , Show ReadOnly ADMs In Stores , Multi-connection mode and the USB Stores connection mode.

The " Sentry " (Ethernet) connection mode allows a higher number of ADM modules to be connected as editable at one time. The physical connection to each ADM is made by a Sentry . Each Sentry is installed on the local Ethernet network. See ( How to connect to the ADM through the Ethernet (TCP/IP) ). Additionally this mode enables extra application window designed to visualise the Sentries settings and state. You can find more information by following the link: Sentry Hub The module connected under this mode will get "S:" (Sentry) in front of the MasterID on the "Connected ADMs" list.


USB Stores

Also see Local USB , Multi-connection mode and the Sentry connection mode.

The " USB Stores " and the " Show ReadOnly ADMs In Stores " options are for the stores subsystem. The "USB Stores" tick box enable/disable scanning through the stores system to keep the ADMs database up to date. The "Show ReadOnly ADMs In Stores" tick box enable/disable the applicounters MasterID being displayed on the "Connected ADMs" list. Although the MasterIDs can be seen on the list, a user can not edit module's memory in this mode. To edit a module you need to connect it under the "Local USB" mode. The module connected under this mode will get "Ur:" (USB ReadOnly) in front of the MasterID on the "Connected ADMs" list.


Factory Solution

Factory Tooling Overview Solution - General Information

The Factory Tooling Overview Solution is a part of the ADM System designed to provide to the user a tool to generate reports based on the data from all cells in the factory. For more information please visit our website: http://www.circuitmaster.co.uk/ and search for the FTO. The installer for the Factory Tooling Overview software is available at http://www.circuitmaster.co.uk/updates.html .


Service History

The Service History reports generator

Also see Service Priority , Shopping List and the Rate calculation methods

The service reports generator are designed to provide information based on the data collected by the ADM System.

The data is collected from working machines as well as from those based in stores or being maintained by engineers in the offices.

The Service History reports generator is accessible through the "View" menu from the Report Tab .

The History reports are focused on the ADM's selected from the list.

The list contains the Master IDs of any module ever connected to the Database.

Some of the modules may appear more than once if their MasterID has been changed during it's life.

This emphasises the importance of using unique Master ID's.

The generator's settings are split in to two main parts: "Settings" and "View".

The first part allows the user to choose the types of information to include in the report.

There are three events to chose from:

  • Show
  • Include
  • Ignore and Highlight

The Show part represents columns. It can be chosen from:

  • Record Date
  • Count
  • Cycle Remaining
  • Master ID
  • SID
  • Operators Name
  • Component ID
  • Field
  • Changed From
  • Changed To
  • Reason
  • Cell Name
  • DB Path
  • DB Version

The Include part contains:

  • configuration events
  • servicing events
  • other events

The Configuration events include edits to:

  • components name
  • components intervals
  • offset
  • additional IDs

The Servicing events include:

  • inspected
  • replaced
  • requalified (cycles and due date)
  • double count state changed

The Other events include:

  • Not Comparable

At least one option must be selected up to as many options as you wish.

A few more useful options to be aware of:

  • Ignore data older than (days) to limit the report's time length width
  • Highlight data older than (days) to show, that the module is missing. It is an extremely useful and powerful tool for factories with stores systems or/and more then one cell. It provides details of modules which have been taken out of the cell, track the last known location, define time and user name of the last event.

In the "View" part the user can preview and preset the report; (for example: choose the report's order by clicking on the columns header).

The column's header represents the type of data included in the report.

For exapmle:

  • the Record Date as the date of the event
  • the Count as the count at the time the event happened
  • the Cycle Remaining
  • the Field is the preset name of the event set up and readable by the software. The format is name followed by the order number or explanation (for example: "Componentname 1" or "Requalified (Due Date)") etc.)
  • the Changed To is the value of the event set by the ADM Software user
  • the Changed From is the previous value
  • the Operators Name as an operators ID
  • the Reason as entered reason/description

In this part, under the Service History menu the user can print or save a report in .rtf format.

Example:

If you select Show Record Date, Count, Cycle Remaining, Master ID, Operators Name, Component ID, Field, and Cell Name and also Include Configuration, Servicing and Other events the report generator will scan through the data, compare it with the chosen data calculation and print those values, which represents the ADM chosen from the list.


Service Priority

The Service Priority reports generator

Also see Service History , Shopping List and the Rate calculation methods

The service reports generator are designed to provide information based on the data collected by the ADM System.

The data is collected from working machines as well as from those based in stores or being maintained by engineers in the offices.

The Service Priority reports generator is accessible through the "Report" menu from the Report Tab .

The generator is split in to two main parts: "Engineering Overview" and "Purchasing Overview".

The Engineering part is focused on applicators, when the Purchasing overview is focused on the components info.

In both of the reports the operator uses the Settings window to preset the report's layout.

The ticked boxes represent values being included in the report.

The Rate calculation and warning settings can help to predict future maintenance time and components quantity to purchase.

If focus on the Applicators is selected, than each row of the report will contain data representation of all the components (the data usually represents the weak parts of the applicator). If focus on the Components has been chosen, each row of the report represents individual components and additionally some of the global information will appear (for example: the last known location, the requalification, the cycles remaining (global value)).

The "Show" part define which informations are included in the report.

This mechanism is tree structured. There are seven main branches to chose from:

  • Applicator ID
  • Component ID
  • Number of days remaining
  • Number of cycles remaining
  • Location
  • Record Date
  • Early Warning

Optionally the user can include blank ADMs by selecting the appropriate tick box.

Most of the branches have sub branches.

For example, if you chose number of days remaining, then the next step will be to decide until what the days remaining are.

You have four options to chose from:

  • inspection
  • replacement
  • cycles limited requalification
  • time limited requalification

At least one option must be selected up to as many options as you wish.

If two or more of the Until options are selected the report will be based on the calculation of the lowest value from the chosen options.

Example:

If you select focus on Applicator, group by Number of days remaining and you select the Inspection and Cycles limited requalification options, the report generator will scan through the data and compare values from the Inspection and from the Cycles limited requalification entries. The report generator will then recalculate it with the chosen rate calculation and print those values, which represents the lowest of the two Until options.

The described Rate calculation is the last branch of the Number of days remaining option. It allows the user to decide how to recalculate the machine's daily usage. This includes seven options:

  • arithmetic mean
  • harmonic mean
  • median
  • maximum
  • minimum
  • weighted moving average
  • exponential moving average

A few more useful options to be aware of:

  • Ignore uses below (cycles) to avoid data errors connected to the maintenance tests and some kind of settings trials

  • Ignore data older than (days) to limit the report's time length width

  • Last MasterID change tick box to ignore data which belongs to the modules with previous MasterID

  • Highlight data older than (days) to show that the module is missing. It is an extremely useful and powerful tool for factories with stores systems or/and more then one cell. It provides details of modules which have been taken out of the cell, track the last known location, define time and user name of the last event.

  • Early Warning Threshold options are used to overwrite the individual early warning cycles/days thresholds with the global value (for reports purposes only).

The other branches do not have any other options, but the additional (described in the last paragraph). The only one slightly different is the Early Warning branch, which have extra branches to chose between cycles and days based calculations.


Shopping List

Also see Service Priority , Service History and the Rate calculation methods

The reports are designed to provide information based on the data collected by the ADM System.

The data is collected from working machines as well as from those based in stores or being maintained by engineers in the offices.

The Shopping List reports generator is accessible through the "Report" menu from the Report Tab .

The operator uses the Settings window to preset the report's layout.

The ticked boxes represent values being included in the report. Most of the boxes are disabled, due to the specific nature of the report.

The Shopping List report is designed to help to predict future replacement time and components quantity to purchase.

The report is based on number of days and number of cycles left till replacement.

The Early Warning Threshold, if selected, is used to define the search window for purchasing list. If the Early Warning Threshold is unselected, the reports will be based on individual applicounters settings.

The Rate calculation allows the user to decide how to recalculate the machine's daily usage. This includes seven options:

  • arithmetic mean
  • harmonic mean
  • median
  • maximum
  • minimum
  • weighted moving average
  • exponential moving average

A few more useful options to be aware of:

  • Ignore uses below (cycles) to avoid data errors connected to the maintenance tests and some kind of settings trials

  • Ignore data older than (days) to limit the report's time length width

  • Early Warning Threshold options are used to overwrite the individual early warning cycles/days thresholds with the global value (for reports purposes only).

The report contains three columns:

  • Component
  • Number of warnings in range
  • Number of components used in the last 12 months

The second column represents number of components due to be replaced in the time and cycles window defined by the Early Warning Threshold or by individual ADMs. The third column represents historical replacement record of the components replaced in the last 12 months.

For example the picture above suggests that the purchasing department should buy four of the "971460701" components. Bering in mind that number of "971460701" components replaced during the last year was 16, the purchasing person may order a box of 10 or 15 items instead of 4 individual, if the price for the bigger package makes the purchasing more economical.

On the other hand, because the component called "807841122" has been replaced only ones during the last 12 months, it may not make much sens to buy more than one item, as probably this is the only time this one will be replaced for the next 12 months.


Report Structure

The reports have a different structure, depending on the chosen settings.

However some of the information remains the same for all of the reports.

The picture below shows the priority report as an example to describe these common parts.

First is the table with the data in the pre-selected order.

The lines below the table detail:

  • the date and time when report has been generated
  • the report type and other global information

The line before the last one represents the report settings code.

The last line shows the page number.

Every report can be saved as a rich text file (.rtf).

To save a report, click on File, then Save (Ctrl+S from keyboard).

Chose the location and click the Save button.


Arithmetic mean

Arithmetic Mean (from Wikipedia)

Also see Harmonic mean , Median , Weighted moving average and the Exponential moving average .

The arithmetic mean is the "standard" average, often simply called the "mean".

The mean may often be confused with the median or mode. The mean is the arithmetic average of a set of values, or distribution; however, for skewed distributions, the mean is not necessarily the same as the middle value (median), or the most likely (mode).

For example, mean income is skewed upwards by a small number of people with very large incomes, so that the majority have an income lower than the mean. By contrast, the median income is the level at which half the population is below and half is above. The mode income is the most likely income, and favours the larger number of people with lower incomes. The median or mode are often more intuitive measures of such data.

That said, many skewed distributions are best described by their mean - such as the Exponential and Poisson distributions.

For example, the arithmetic mean of 34, 27, 45, 55, 22, 34 (six values) is (34+27+45+55+22+34)/6 = 217/6 = 36.167....


Harmonic mean

Harmonic mean (from Wikipedia)

Also see Arithmetic mean , Median , Weighted moving average and the Exponential moving average .

The harmonic mean is an average which is useful for sets of numbers which are defined in relation to some unit, for example production rate (quantity produced per unit of time).

For example, the harmonic mean of the numbers 34, 27, 45, 55, 22, and 34 is


Median

Median (from Wikipedia)

Also see Arithmetic mean , Harmonic mean , Weighted moving average and the Exponential moving average .

In probability theory and statistics, a median is a number dividing the higher half of a sample, a population, or a probability distribution, from the lower half. The median of a finite list of numbers can be found by arranging all the observations from lowest value to highest value and picking the middle one. If there are an even number of observations, the median is not unique, so one often takes the mean of the two middle values.

At most half the population have values less than the median and at most half have values greater than the median. If both groups contain less than half the population, then some of the population is exactly equal to the median.


Weighted moving average

Weighted moving average (from Wikipedia)

Also see Arithmetic mean , Harmonic mean , Median and the Exponential moving average .

A weighted average is any average that has multiplying factors to give different weights to different data points. But in technical analysis a weighted moving average (WMA) has the specific meaning of weights which decrease arithmetically. In an n-day WMA the latest day has weight n, the second latest n-1, etc, down to zero.

The denominator is a triangle number, and can be easily computed as

The graph at the right shows how the weights decrease, from highest weight for the most recent data points, down to zero. It can be compared to the weights in the exponential moving average which follows.


Exponential moving average

Exponential moving average (from Wikipedia)

Also see Arithmetic mean , Harmonic mean , Median and Weighted moving average .

An exponential moving average (EMA), sometimes also called an exponentially weighted moving average (EWMA), applies weighting factors which decrease exponentially. The weighting for each older data point decreases exponentially, giving much more importance to recent observations while still not discarding older observations entirely. The graph at right shows an example of the weight decrease.

The degree of weighing decrease is expressed as a constant smoothing factor ?, a number between 0 and 1. ? may be expressed as a percentage, so a smoothing factor of 10% is equivalent to ?=0.1. Alternatively, ? may be expressed in terms of N time periods, where

For example, N=19 is equivalent to ?=0.1.

The observation at a time period t is designated Yt, and the value of the EMA at any time period t is designated St. S1 is undefined. S2 may be initialised in a number of different ways, most commonly by setting S2 to Y1, though other techniques exist, such as setting S2 to an average of the first 4 or 5 observations. The prominence of the S2 initialisation's effect on the resultant moving average depending on ?; smaller ? values make the choice of S2 relatively more important than larger ? values, since a higher ? discounts older observations faster.

The formula for calculating the EMA at time periods t?2 is

This formulation is according to Hunter (1986); an alternate approach by Roberts (1959) uses Yt in place of Yt-1

This formula can also be expressed in technical analysis terms as follows, showing how the EMA steps towards the latest data point, but only by a proportion of the difference (each time):

Expanding out EMAyesterday each time results in the following power series, showing how the weighting factor on each data point p1, p2, etc, decrease exponentially:

In theory this is an infinite sum, but because 1-'alpha' is less than 1, the terms become smaller and smaller, and can be ignored once small enough. The denominator approaches 1/'alpha', and that value can be used instead of adding up the powers, provided one is using enough terms that the omitted portion is negligible.

The N periods in an N-day EMA only specify the 'alpha' factor. N is not a stopping point for the calculation in the way it is in an SMA or WMA. The first N data points in an EMA represent about 86% of the total weight in the calculation.

The power formula above gives a starting value for a particular day, after which the successive days formula shown first can be applied.

The question of how far back to go for an initial value depends, in the worst case, on the data. If there are huge p price values in old data then they'll have an effect on the total even if their weighting is very small. If one assumes prices don't vary too wildly then just the weighting can be considered. The weight omitted by stopping after k terms is


How to set or change the Cell Name

If the system is installed throughout the factory, the Cell Name option allows the user to identify separate network cells.

Requirements:

- You should be logged in with CanConfigureApplication privileges

To edit the cell name navigate to the Setup Tab, select the "Setup -> Rename Cell" from the menu.

Click on the Cell Name text box and type the new name.

The Cell Name can not be more then sixteen characters.

The new name will be saved in the ADM memory as well as in the ADM Database.


Sentry hub settings

The Sentry Hub is part of the ADM program and is responsible for network communication and visualisation.

The user can locate it in the right section of the Search tab.

Setting up the Shopfloor view

The main window of SentryHub is intended to provide a graphical representation of the production area or Shopfloor.

Icons representing crimping presses can be loaded into the Shopfloor view and each press icon is associated with a Sentry.

Most aspects of the shopfloor view can be controlled from the Setup...Shopfloor menu.

Background Image

You can customise the shopfloor view by loading a suitable image.

You may want to make the window look something like your actual shopfloor, especially if you have many press icons, so you can quickly associate a particular icon with a physical press location.

One effective way to do this might be to take a document scan or a digital photograph of a plan drawing of the actual shopfloor layout.

To load a new background image go to the Setup...Shopfloor menu and press the Background Image button then browse to select the graphical file: most BMP, JPG and GIF file formats are supported.

The image is displayed in the shopfloor view at its native scale so you should pre-scale it accordingly using appropriate image processing software.

Some very simple graphic files are installed with the application, these samples are intended just to illustrate the idea.

There is also a Clear Background.gif file containing an empty image. You can load this file if you want to clear the background.

Note that the file Shopfloor.bmp in the application folder contains a working copy of the current background image.

Adding press icons

There are two primary ways to add press icons to the shopfloor.

Automatically adding icons

Automatically adding press icons is quick and easy, SentryHub broadcasts a network command asking all sentries to make themselves known and then adds icons according to the replies received.

It is important to know that it can only work for sentries located in the same local subnet as the SentryHub computer, although this is a very common configuration.

Network routers, switches, hubs and similar hardware block broadcast messages from reaching anywhere outside the local subnet.

Click the Auto add press icons button and, within a few seconds, icons are placed in the shopfloor for all new sentries discovered in this way.

Icon placement

When new icons are added, whether automatically or manually, they are placed below any icons which already exist in the shopfloor view. Placement starts at the left hand side of the shopfloor window with successive icons being placed to the right until reaching the edge of the view window.

It is possible for new icons to be placed below the bottom edge of the window, in this case scroll bars will appear.

Icon Positioning

Press icons may be positioned within the shopfloor view by dragging them with the mouse.

The Allow Press Icon Dragging box must be checked to enable this.

Each time the SentryHub software is started, this box gets unchecked - reducing the chances of icons being moved unintentionally.

Note that the press icons are drawn on top of any background image which may be loaded.

The icons are strictly rectangular but do contain pseudo-transparent regions through which you can see the background.

There is no restriction preventing overlapping icons but you should try to avoid this because you will not be able to see parts of icons which are covered by even the transparent regions of other icons.

Deleting press icons

All the press icons the shopfloor view can be deleted together by pressing the Delete all press icons button.

To delete specific individual icons directly from the shopfloor window, right-mouse click the icon and select Delete from the context menu:-

Setting the connection mode for all presses

One of the connection modes may be globally applied to all press icons the shopfloor view by pressing one of the Protected, Enabled or Disabled buttons .

These global changes are normally restricted to presses which are already in a connected state; Disconnected presses are not influenced unless the Include Disconnected Presses box is checked.

Behind the scenes background service

SentryHub attempts to connect to each sentry associated with the shopfloor icons in turn, asking for status information and sometimes sending commands to them.

When each round of communications is complete the icons in the shopfloor view are updated to reflect the status of each press.

SentryHub also maintains database records of the status of each Sentry and records a log of any status changes. These records can be extremely useful for example in demonstrating ISO/TS 16949 compliance and in managing the predictive maintenance of application tooling.

Press Icon Symbols

When an icon is first created, it is not known whether its associated sentry is on-line. The offline warning symbol is shown until a successful connection has been made.

Once a successful connection has been made to the Sentry the offline warning is replaced by other status symbols.

The status symbols represent the control mode being applied to the Sentry through the network and also the data reported back by the Sentry.

Up to five symbols may be visible at one time.

The symbols are arranged in a vertical column to the right of the press icon.

The illustration shows a common state Protected and a common warning no_ADM

Warning states are emphasised by flashing these symbols to attract attention.

If multiple problems are present, with each flash the warning symbol will cycle through those present.

The no_ADM state is a common problem state (e.g. when a press is not being used); This particular problem does not cause the warning symbol to flash because it does not demand any attention or intervention.

More detailed information or a description of the problem may be available; It can usually be viewed by hovering the mouse pointer over the body of the press icon itself until a tool tip pops up:

Other tool tips may be viewed by hovering the mouse pointer over the ADM, Operator, Works Order or Connection State symbols.

Press Details

Each press icon has an associated detailed view.

To open the detail view double-click the body of the press icon or right-mouse click the icon and select Details from the context menu.

Name

The Name field contains up to 16 characters of text which may be used to provide a more meaningful way of identifying the press or sentry. A typical use for the Name field would be to describe the location of the press.

Each Sentry stores its own name in non-volatile memory.

When SentryHub connects to a Sentry it reads the name and displays it as part of the press icon beneath the press body.

When the detail view is opened, you may edit the Name field.

If you do edit the name, then press the OK button, a command will be transmitted to the Sentry to update its name accordingly. The next time the icon is updated by the background service, the name displayed on the icon will update accordingly.

The Name field is the same as the field accessible from the web page <web_page.html> and displayed by pressing the ident <web_page.html> button.

Identifying the press

The SID field shows the sentry's unique Silicon Identification. You cannot change this value.

You can only enter a SID into a press icon when you manually add an icon.

It is automatically assigned when automatically adding press icons.

IP Address

This is the network IP address at which the SentryHub's background service attempts to communicate with the Sentry.

The value is set up, along with the SID, when a Shopfloor icon is first added.

You are allowed to change the IP Address field and you may need to do this if your shopfloor contains manually added icons in non-local network segment where Automatic reassignment of IP Addresses does not work.

The Web Page button opens a simple web browser window and attempts to open a web page at this IP Address. You could use this to confirm a correct assignment when editing the IP Address.

Automatic reassignment of IP Addresses

During background service communication the sentry's SID is checked and usually the Sentry's SID correctly matches the icon's SID.

If a Sentry does not respond or if its SID does not match, SentryHub recognises that something in the network configuration has changed and attempts to adjust accordingly. This might happen for example if DCHP addressing is employed, after a total power down a DHCP server may allocate totally new IP addresses to every Sentry.

When SentryHub detects a configuration change, it attempts to recover by broadcasting to the local network to build a live list of IP addresses and SIDs for all the sentries in the local network. SentryHub then attempts to automatically re-assign the press icon's IP Address fields by looking for matching SIDs in the live list.

When automatic reassignment takes place, SentryHub displays brief notification messages from the icon in the system tray:

Connection modes

Each shopfloor press icon can send commands to its Sentry to override the local decision making mechanism built into the Sentry.

Protected mode

This is the default connection mode.

The Sentry itself takes the decision whether to block or unblock its press depending on the state of the attached ADM.

Sentry also blocks the press if no ADM is connected.

In this mode SentryHub asks for, and records, status information during background processing.

Communication failures cause the press icon to display the Offline status and repeated failures lead to automatic disconnection.

Enabled mode

SentryHub sends commands to the Sentry to ignore the result of its ADM checks and always UNBLOCK the press even if no ADM is connected.

In this mode SentryHub asks for, and records, status information during background processing.

Communication failures cause the press icon to display the Offline status and repeated failures lead to automatic disconnection.

Disabled mode

SentryHub sends commands to the Sentry to ignore the result of its ADM checks and always BLOCK the press even if a valid ADM is connected.

In this mode SentryHub asks for, and records, status information during background processing.

Communication failures cause the press icon to display the Offline status and repeated failures lead to automatic disconnection.

Disconnected mode

SentryHub does not attempt to communicate with the Sentry during background processing.

The Sentry will revert back to its default standalone mode to block or unblock its press depending on the state of the attached ADM.

In this mode SentryHub does not asks for, and does not record, any status information during background processing.

Repeated communications failures in other modes lead to this mode being automatically set.

Communication failures cause the press icon to display the Offline status and repeated failures lead to automatic disconnection.

In the Enabled or Disabled mode, the Sentry displays a message on its LCD screen to inform the press operator that the Sentry is being controlled remotely through the network connection.

You may change the message by entering new text into the Display this Message boxes. Each box corresponds to one line of the LCD panel.

Automatic Disconnection

Sentries normally reply to network communications within about 100mS and once a Sentry has responded, SentryHub's background service can immediately go on to service other icons in the shopfloor view.

Sometimes delays can be introduced due to network conditions so SentryHub waits longer for a reply to arrive.

If no reply is received within a reasonable time (1000mS), the communication attempt is aborted and the icon temporarily displays the offline symbol.

If this happens repeatedly the icon's connection mode is automatically changed to Disconnected.

To restore communications from Disconnected mode you must manually select one of Protected, Enabled or Disabled modes.

Status Details

If a CFA has been associated with the press, status information is displayed next to the button.

Pressing this button opens a window to control and view Crimp Force settings and data in more detail.

If a works order has been assigned to the press, status information is displayed next to the button.

Pressing this button opens a window to control and view the settings and data in more detail.

If an operator has logged on to the press, by connecting his ID tag to the Sentry, identification information is displayed next to the button.

If an operator and a supervisor are logged on to the press by connecting their ID tags to the Sentry, identification information is displayed next to the button.

If an ADM is connected to the press identification information can be displayed next to the button.

Pressing this button opens a report window from where you can access reports specific to this applicator.

Pressing this button opens a report window showing the database record of the press itself.

Journal Database

When a Sentry reports a changed status in terms of the connection of an ADM or operator ID tag, a journal record of the change of status is logged in a database. The journal database can be queried to build management reports for traceability.

Also when an applicator is serviced, using ADM software or a remote device accessing the ADM through the Sentry network, the service events are also logged.

It is important that only one journal database is used as fragmented records would lead to confusion and inaccurate data.

When the SentryHub software is installed the journal database file Sentry_Journals.mdb is located in the application folder.

It is suggested that this file could be copied to a centrally accessible location, perhaps in a network shared storage resource.

If you have already similarly set up the journal database for ADM software then you will not need to copy the file, just use the one set up for ADM.

Similarly if you install ADM at a later time you should set it up to use the central journal database installed by SentryHub.

Select the Setup...Journal Database Location menu item to open a file browser window and browse to select the centralised database file you wish to change to.

Reports

SentryHub can produce several management reports.

The reports are generated in a separate window in rich-text format.

The contents of the report window can be selected and copied to the clipboard with standard copy commands <ctrl>C.

The clipboard data can then be pasted into Microsoft Word, Microsoft Excel etc to produce presentation quality reports or to perform further analysis.

Hub Status Log

Reports the times that SentryHub was active.

When SentryHub is stopped (marked by a Network Stop event) it cannot make journal entries so the journal database may start to contain 'stale' or out of date data.

Live Applicators List

Reports ADMs which were present in the SentryHub network during the latest round of background service connections.

It also shows the number of usage cycles remaining before the Applicator is scheduled for servicing.

Live Press List

Reports Sentries which responded during the latest round of background service connections.

It also shows the presence of any connected ADMs or Operator ID tags.

All ID Tag History

Reports the logging on (connection events) and logging off (disconnection events) of all operator ID tags at all points in the network.

Audit Trail

Reports 'snapshots' of the status of the SentryHub network taken at regular points in time e.g. Every hour.

Applicator Service Priority

Produces lists of Applicators sorted by ascending number of usage cycles remaining before the Applicator needs to be serviced.

There are two data sources which may be used to calculate service priority and each has its own strengths and weaknesses.

It may be best to review both reports to arrive at a final decision based on the prevalent applicator usage patterns.

According to Sentry Records

Whenever an ADM is connected to a Sentry, the Sentry calculates how many usage cycles remain available before the Applicator must be serviced. This value is communicated to the SentryHub and is stored in SentryHub's core database. These values are reported here.

Values will easily get out of date for ADMs which are infrequently connected to a networked Sentry.

According to ADM Service Records

Each time an applicator is connected to ADM software, the ADM software records data in its journal database. This data is used to create the report.

Values will easily get out of date for applicators which are actively in use as the ADM software does not have access to real-time usage figures.

SIDs

The Sentry and ADM system uses electronic components which have individual and unique serial numbers assigned during manufacture, producing a highly secure and tamper-resistant way of uniquely identifying ADMs, Sentries and Operators.

The serial numbers are laser-cut into the silicon devices, leading to the name Silicon IDentification, or SID for short.

The unique 64-bit binary numbers are represented in 16 character hexadecimal notation where each character 0..9 or A..F represents 4 of the bits.

Generally when a new device is initialised and added to the Sentry system, its SID gets copied into its name field so that even the name fields are uniquely identifiable from the start. Of course the name field should be later updated to reflect a more meaningful identifier.


Sentry Hub reports

The Sentry Hub reports are available from the Search Tab level. To access them click the Sentry Reports button, located next to the Settings button (see illustration).

The Live Applicators List report shows the modules which can be accessible through the sentries. The report shows the name, number of cycles remaining and the sentry name which it is connected to.

The Live Press List report represents the Sentry name in line with the name of the module and up to two ID tags connected at the time the report has been generated.

The ID Tag History report shows the track of the events completed by the user on the particular sentry. The event, user and sentry IDs are saved together with the time stamp.

The Sentries Cycles Count report shows the track of the passed/failed counts for the particular sentry. The passed, failed and total counts are saved together with the time stamp.


Search Tab

Also see the Ident Tab , Details Tab , Setup Tab and the Report Tab .

This tab is split in two.

One part contains the connection types , connected ADMs list , warning list, database source path and the reports generator .

Second part is used to visualise and control Sentry Network and contains it's settings and reports editor.


Ident Tab

Also see the Search Tab , Details Tab , Setup Tab and the Report Tab .

This tab contains the MasterID, the document links and/or the main descriptions, the Save Report button, shows the last known location, the offset and the main count display read from the currently selected ADM.


Details Tab

Also see the Search Tab , Ident Tab , Setup Tab and the Report Tab .

This tab contains all components settings (name, interval, OKfor), requalification, overforce alarm settings and the notes box read from the currently selected ADM.


Report Tab

Also see the Search Tab , Ident Tab , Details Tab and the Setup Tab .

This tab contains the reports and views of the data collected by the ADM software. Futures from this tab can facilitate to prove ISO and QS standards, help with the purchasing events and provide some information to help out find missing applicator.


Setup Tab

Also see the Search Tab , Ident Tab , Details Tab and the Report Tab .

This tab contains the User Name and the Password boxes as well as the document path locator, the User Control, Erase Module, the local and online Help links and the Cell Name rename facilities.

In the "About" section you can find information about the software version, contact links and other general information.

The image from the "About~" section can be changed if necessary.

To change it locate your preferred image file in the application's directory folder .

Warning!

The file name must be 'InfoTabPicture.bmp', but it can be any of the image formats ('.jpg', '.gif' or '.bmp').


Analysis

The Analysis

Requirements:

- You should be logged in with CanDoService privileges

After choosing the replacement button the cause of replacement message box will appear. The user can choose one of three options:

- wear out when a component has been inspected and found to be worn to the point where it needs replacement.

- accident where a component has broken prematurely due to some special incident.

- scheduled where a component has been replaced due to its scheduled service interval being reached or exceeded.

If the reason for the replacement was wear out, then the "Component Wear Analysis" window will appear.

The window represents the software analysis based on prior database records suggesting values the operator may wish to use to update the planned replacement interval.

If none of the suggested values are suitable, the operator can type their own value in to the (User's Value) text box or press the "Cancel" button, to leave replacement interval without changes.

If the new Replacement Interval is less then the Inspection Interval a warning will appear.

To set up the inspection interval, type the value in to the "Inspection Interval" text box or follow the instruction How to add/change any interval .

The record of the replacement and analysis is saved in the ADM Database.

Warning!

A "0" value disables the inspection/replacement interval.


Comments

The comments/component descriptions

The comment text box can be used to record a reason for making changes to the ADM module settings.

The comment is recorded in the database as a reason for the changes.

You may choose not to add any comments, in this case the Reason column in the database will be blank.

Important!

If you enter a comment here it is automatically used as the Reason in the database records for changes made to any component.


Database

The ADM Database

The ADM Database contains records of changes made to the components associated with the ADM.

Based on these records, if replacements have been performed due to wear out, the ADM software is able to suggest updated plan settings , for example: minimum, maximum, mean or median values of the Replacement Interval.

The database provides an overview of the history of changes made to an applicator. Additionally any service connections to the ADM are recorded.

Any user can see the database by selecting the the Report tab .

Select the View menu to see the service history of the ADMs.

Select the Report menu to see the list of ADMs recorded in the database, sorted by service priority.

The view can be switched between different options and the records can be filtered to make the reports easy and clear to read.

Users are not able to manually write to the database.

Records can only be added by the software.


How to setup the document folder

Requirements:

- You should be logged in with CanConfigureApplication privileges

To setup/change the document folder go to the Setup tab and click on the Documents... button.

Next choose the folder where the associated documents will be (or already are) stored and press the OK button.

TIP: If you use more than one PC to service ADMs, and those PCs are connected to a network, you should consider locating all your applicator documents in a central network location which is accessible by all ADM servicing PCs.


Double Count

The Double Count tick box

Some applicators can have an AppliCounter ADM physically installed in such a way that the magnetic stroke sensor is activated twice during each operation of the press. In this case the counter will count twice the number of actual operating cycles.

To correct the problem the ADM software allows the master count to be divided by two if the double count box is checked.

Requirements:

- You should be logged in with CanEditTools privileges

The double count status change has some consequences. Every action is followed by the OKfor values being reset to the adequate intervals.

Warning!

The double count feature works only with the AppliCounter ADM. You can't set up double count for eTags.


How to setup the early warning cycles value

Requirements:

- You should be logged in with CanEditTools privileges

Go to the Details tab and enter the new value in to the Early Warning Cycles box.

When a component's usage approaches a scheduled inspection or replacement interval, the ADM software gives an early warning if the number of usage cycles remaining falls below this threshold.

The higher you set this number, the earlier the warnings will be produced.


How to setup the early warning days value

Requirements:

- You should be logged in with CanEditTools privileges

Go to the Details tab and enter the new value in to the Early Warning Days box.

When a component approaches a scheduled requalification date, the ADM software gives an early warning if the number of days remaining falls below this threshold.

The higher you set this number, the earlier the warnings will be produced.

The Time Interval is limited to three digits, so it can not be higher than 999.


How to setup the force limit value

How to setup the Force Limit interval

Requirements:

- You should be logged in with CanEditTools privileges

Click on the Force Limit box and type the new value.

The Force Limit value is limited to up to nine digits, so it can not be higher than 999999999.

Warning!

A "0" value for a Force Limit interval disables it from being checked by software.

The new value will be saved in the ADM memory as well as in the ADM Database.


How to add or change any tool name or interval

Up to 9 individual consumable or subject to wear component parts of an applicator can be specified here.

Counts of usage since last replacement and usage since last inspection are maintained for each component.

Corresponding limits of interval before inspection and interval before replacement are also specified here.

Requirements:

- You should be logged in with CanEditTools privileges

Click on the item you want to edit and type the new value.

Interval values are limited to nine digits, so it can not be higher than 999999999.

Warning!

A "0" value for a component interval disables it from being checked by software.

The tool name can not be more then sixteen characters.

The new value will be saved in the ADM memory as well as in the ADM Database.


Inspection, replacement and requalification buttons

The inspected, replaced and requalified buttons

The inspected and replaced buttons are used to reset individual tool counters (#Cycles column) and record components as inspected/replaced.

The requalified button is used to reset full inspection.

The Inspected button for the AlarmEvent resets an OverForce alarm.

Requirements:

- You should be logged in with CanDoService privileges

Warning!

If you use the Replaced button, the Inspection Plan counter will reset as well as the Replacement Plan counter.

A record of inspection/replacement is added to the ADM Database.


Last known location

The last known location

The last known location text box represents the name of either the PC, the sentry or the stores adapter.

The name is stored in the database to track if the module is missing. It is also used to help locate the ADM while connected.

The last known location is set up by the ADM software and can not be changed manually from the ADM software itself.

The only way to change the location name is to rename the element the module is connected to (PC, sentry or stores adapter).


Offset

The offset

The offset is a representation of the number of counts read from mechanical counter replaced by the ADM module. It helps to calculate a machine's life time.

Requirements:

- to edit the offset you should be logged in with CanErase privileges

A record of an offset edit is added in to the ADM Database.


OKfor values

The OKfor values

The OKfor value provides information about the number of cycles left until inspection or replacement is scheduled.

This value decrease from the Interval (pre-set after signing component as inspected or replaced).

It is possible that the OKfor value does show values below zero.

This may happened when a component has been monitored through the Ethernet, because:

  • the sentries communication depends on the network speed and it may cause delays;
  • the sentries can't block the machine if the wiring is incorrect or not in use;
  • the sentries have some internal delay time before the machine is blocked;
  • it is possible that the sentry's press blocking mechanism is not in use;


Timing

The ADM System's communication and alert mechanism is strictly related to the time settings. Some of the settings define the gap between the search cycles, some describe how long to wait before communication can be signed as lost. To avoid additional stress, which often time settings may chose, please read the few tips and information related to the timing.

-the time needed to update an ADM's counter for each connected module:

- for USB connection >1 second

- for Ethernet connection = up to 4 second

- the time to update the database for each connected module:

- for USB connection = 1 second

- for Ethernet connection = 4 second

- the time needed for one full system scan to collect the data from all connected modules is the sum of individual access time values

- the time the ADM Software wait for the Sentries to reply = 2 second

- the fastest way to get the data from an ADM is by connecting it directly to the USB Hub (USB mode)

- by connecting to the sentry or to the stores adapter it takes longer and depending on the number of sentries, network stores adapters and on the network's speed.

And few (more complex) timing equations...

- the time after the ADM software give up while looking for a sentry [ms] = number of the sentries * Comms timeout

- when the Sentry goes in to the Disconnected mode [ms] = number of the sentries * Comms timeout * Disconnect after comms failures

- how often the ADMs List is updated [s] = how often database is updated [s] = number of connected modules through the USB + 4 * number of connected modules through the sentries +number of modules in stores connected directly on the one wire + 4 * number of modules in stores connected through the Ethernet

Program's respond:

Some of the events takes time. One of the most time consuming events is the communication with the sentries and daily usage calculations (just before the report is displayed). While communication to the sentry may be calculated if the network speed is known, the daily usage calculations time depends on the amount of data stored in the database and may take from a few seconds, up to tens of minutes.

All of the time values are in seconds [s] and are based on the situation, when ONLY the described event is happening.


How to add or change the notes

Click on the Notes text box and type the text in.

The text will be saved in the ADM memory only.

The notes space is limited and can vary depending on the ADM memory use.


How to add/change and open a part identifier or an associated document

Requirements:

- You should be logged in with CanEditTags privileges

Go to the Ident tab by clicking on the applicator icon

Either:

Add/change the maintained part identifier:

Click on the tag you want to add/change and type in a part identifier, for example the applicator's serial number.

Because the identifier is not an attached file, it will appear as normal text. (If it were an associated document, the file name would appears a hyperlink).

Or:

Associate a document or a folder:

Warning!

Before associating the files, make sure the Documents Folder is set up correctly (See: How to setup/change the document folder)

Click on the "..." button to open the daialog and chose the type of link you would like to make.

Use the "Select document / link" window ...

...or the "Browse For Folder" window...

...and choose the document file or folder you want to associate with this ADM.

The file/folder name will be saved in the ADM memory as well as in the Database.

To open an associated document

To open an associated document go to the Ident tab and click on the yellow file icon next to the file/folder name you wish to open.

If you are trying to open a file and if Windows recognises the file type it will be opened automatically by the registered application.

Warning!

If the file name does not appear like a hyperlink and the yellow folder icon is not visible:

- the Document Folder may not be set up correctly (See: How to setup the document folder ).

- the file name may be incorrect or the file does not exist in the document folder.

- it may not be a file name, but a general description.

The separated text box, located on top of the Ident tab , called MasterID should be used to hold the Applicator's name.

This ID appears on the connected ADMs list, showing each applicator's MasterID as an identificator.

The MasterID has special significance when the ADM is connected to a Sentry; it is displayed on the LCD screen to help in identifying the Applicator.

MasterID may be changed at any time. To do this you will need to be logged in with CanEditTools privileges.


How to change language

Some of the languages can be selected from the language menu. To change the language navigate to the Setup Tab, click on the "Setup" menu, select the language or alternatively click on the "Browse" button and navigate to the previously translated .csv or .txt language file .


How to create a new user account

Requirements:

- You must be logged in with CanConfigureApplication privileges

If you have the privileges to edit users' settings, the User Control button will appear on the screen after you log in.

Next press the Users Control button and when the User Names Database appears, make the edits.

For security reasons we have not included a picture of the user database window here.

After editing you can press the Save Data button (the floppy disk icon on top of the window) or close the window and follow the instructions.

Warning!

Remember to tick the CanConfigureApplication box for at least one user to be able to add new users in the future.

If you make a mistake and delete all users (or untick the CanConfigureApplication box for all users), you will not be able to edit user accounts without first getting technical support.


How to erase the ADM

Requirements:

- You must be logged in with CanErase privileges

Erase module means:

- wipe all of the data from the ADM.

- set the Master ID to a unique string, this is called the Silicon ID (SID).

- set the main stroke counter to zero if the module is an eTag (Applicounters cannot be reset).

- set the inspection time to 30 days.

To erase the ADM click on the Erase Module button, located in the Setup tab and next click on the Yes button to confirm.

The act of erasing a module will be recorded in the ADM Database.


How to export the ADM contents

Occasionally component settings can be the same or similar for multiple modules. To make the setup easier you can export the tags and component settings into a text file.

To do so, navigate to the Ident Tab, click on the floppy disc icon, select the location and name and click Save button.

All tags and components settings will by stored together with the date and the software version in a selected location as a .txt file.


How to log in for the first time

To log in for the first time after installing the ADM software:

Go to the Setup tab by clicking on the Key icon.

Type the word manager into the User Name and also into the Password boxes, and click the Login button.

This default log in account has permission to change any settings so we recommend creating a new User Name and deleting the default one to improve security.

How to create a new user account

Warning!

Remember to tick the CanConfigureApplication box for at least one user to be able to add new users in the future.

If you make a mistake and delete all users (or untick the CanConfigureApplication box for all users), you will not be able to edit user accounts without first getting technical support.


How to read login privileges

Login privileges are used to restrict access to the ADM application and make level based user configuration.

An user account configuration can be set by using different variations of five options described below:

CanEditTools - allows user to edit components, inspection and replacement intervals, change requalification settings, force limit, early warning thresholds and counter settings.

  • Components Name
  • Inspection Interval
  • Replacement Interval
  • Requalification Time Interval
  • Force Limit
  • Double Count
  • Early Warning Cycles Threshold
  • Early Warning Days Threshold

CanEditTags - allows user to change the name of the ADM, edit additional IDs and make a link to a file and to the folders.

  • Edit Master ID
  • Edit Additional IDs
  • Link Files and Folders

CanErase - allows user to edit offset and to erase module.

  • Edit Offset
  • Erase Module

CanDoService - allows user to perform completed service events (inspection, replacement, requalification and overforce inspection).

  • Do Inspection
  • Do Replacement
  • Do Requalification
  • Do Overforce Alarm Inspection

CanConfigureApplication - allows user to edit cell name, access user control panel, change documents folder, give access to the sentry hub settings and finally allows user to set connection settings (USB Direct, USB Stores, Show ReadOnly ADMs in Stores, Sentry).

  • Edit Cell Name
  • Access Users Control Button
  • Change Documents Folder Path
  • Access Setup Sentries Tool Strip
  • Set Application Scan Settings (USB Direct, USB Stores, Show ReadOnly ADMs in Stores, Sentry)


How to read the warnings

When an ADM is connected, two main warning messages are possible:

- Service will soon be required

- Service is required

The first warning massage appears when the number of cycles or days of use approaches a corresponding inspection, replacement or requalification interval.

The Early Warning Cycles or Early Warning Days value in the Details tab defines how close it must be.

In these cases any problem areas are highlighted in yellow.

The second warning message appears if the number of cycles of use for a component part (or full inspection) has exceeded the corresponding inspection or replacement interval

OR if the ADM has registered an alarm event.

OR if the current date is later than the Due date.

In these cases any problem areas are highlighted in red.

The ADM icon in the taskbar also changes to a Warning icon.


How to setup or recalculate a requalification

An ADM can monitor and control planned maintenance of the applicator as a whole.

Your preventive maintenance plan may require applicators to be recalled for general inspection or servicing as a whole item after a specific number of uses or after a specific period of elapsed time irrespective of use.

This might be to re-affirm the quality of finished production or could simply be for asset rotation.

Requirements:

- You should be logged in with CanDoService - privileges

Setting up a usage cycles based requirement is done in the same way as for individual component parts.

To setup or recalculate the next date-based inspection, type in to the Time Interval text box the number of days left before inspection and press the Requalified button.

Warning!

The number of cycles to the next Requalification will be reset to it Interval.

The Due Date text box should display the due date accordingly.

Warning!

The number of days to the next Requalification can not be higher then 999.


How to translate the language file

Some of the languages can be selected from the language menu, but if the language isn't on the list, it still can be added manually, if only the .csv file has been translated.

To view or edit the file the best would be to use Microsoft Excel, but you can use any text file editor and save the file as .txt. In this case you won't see the structure as the columns, but the entries will be separated by commas (,).

Let's presume you opened the file under Microsoft Excel.

I am going to use the "Polish_Language.csv" file, which represents the translation in to Polish, as the example.

You can find it in the directory folder (for English Windows OS it would be: C:\Program Files\ApplicatorDataModule\Polish_Language.csv).

The first column Text Name is used by program to recognise the control. The second column is a suggestion of the maximum length for the text, as it will vary depends of the language structure. The next two columns are native English text and tips for the control in English. The columns number 5 and 6 (or E and F in the picture) are the translation of the native English text (column 3 or C) and tips for the control in English (column 4 or D) in to Polish.

There are slightly over 500 entries in this file. It covers most of the text and messages from the ADM software if not all of them.

There are two ways to add a new language:

- by replacing the Polish or English translation with the new language

- by adding the new language as new columns (G and H in this example)

The columns always come in pairs (text and tip). The ADM software allows you to enter up to ten languages per file and as many files as you like. To change the language go to the setup tab and click on the "settings" menu (if you operate in English of course).

If you decided to translate the file and you saved it as a .csv or .txt file, attaching it in to the software is very simple. You have to go to the languages settings as described in How to change the language , but instead of choosing the language name, click on the "Browse..." button and select the file which contains the translated text (let's say Turkish _Language.csv). By default the software will use the first language from the list. To change it, please go again to the language settings.


Glossary

1-wire USB device - the connector device used to provide communication between the ADM and PC ( How to install the 1-wire USB drivers )

Additional ID - one of five text boxes on the Ident tab used to store document names (paths) and/or main descriptions

ADM - the short name of the Applicator Data Module.

ADM Control System - includes modules (eTags, Applicounters, Ident Tags etc), the Sentry, the ADM Software, connectors and cables.

ADM Database - see: What the ADM Database is for

Application's Default Directory Path - C:\Program Files\ApplicatorDataModule

AppliCounter - A hardware module fitted to the Applicator to control preventive and predictive maintenance on the applicator. This type of module contains a built-in usage cycle counter.

Arithmetic mean - is the "standard" average, often simply called the "mean".

CanConfigureApplication - one of the users privileges, allowing him to edit cell name, access user control panel, change documents folder, give access to the sentry hub settings and finally allows user to set connection settings (USB Direct, USB Stores, Show ReadOnly ADMs in Stores, Sentry).

CanEditTools - one of the users privileges, allowing him to edit components, inspection and replacement intervals, change requalification settings, force limit, early warning thresholds and counter settings.

CanEditTags - one of the users privileges, allowing him to change the name of the ADM, edit additional IDs and make a link to a file and to the folders.

CanErase - one of the users privileges, allowing him to edit offset and to erase module.

CanDoService - one of the users privileges, allowing him to perform completed service events (an inspection, replacement, requalification and overforce inspection).

Cycle count - the master count shows the absolute number of overall Applicator usage cycles

Details tab - this tab contains all components settings (name, interval, OKfor), requalification and overforce alarm settings and the notes box.

Due date - full Inspection date

eTag - a hardware module fitted to the Applicator to control preventive and predictive maintenance on the applicator. This type of module does not contain a built-in usage cycle counter.

Exponential moving average (EMA) - sometimes also called an exponentially weighted moving average (EWMA), applies weighting factors which decrease exponentially. The weighting for each older data point decreases exponentially, giving much more importance to recent observations while still not discarding older observations entirely. The degree of weighing decrease is expressed as a constant smoothing factor ?, a number between 0 and 1. ? may be expressed as a percentage, so a smoothing factor of 10% is equivalent to ?=0.1. Alternatively, ? may be expressed in terms of N time periods.

force limit (maximum force limit) - the press force limit set up by user as a maximum safe force for the applicator.

Harmonic mean - is an average which is useful for sets of numbers which are defined in relation to some unit , for example speed (distance per unit of time).

Ident tab - this tab contains the MasterID, the document links and/or the main descriptions, the Save Report button, shows the Last known location, the offset and the main count display.

Info tab - this tab contains information about the software version, contact links and other general information.

lifetime - the number of cycles the tool is expected to last before it should be replaced because of predicted wear out

login - the users (operators) name used to set up the privileges ( How to log in the first time )

Median - the middle of a distribution: half the values are above the median and half are below the median. The median is less sensitive to extreme values than the mean and this makes it a better measure than the mean for skewed distributions.

operator (user) - the person who uses the ADM PC software to communicate with the ADM hardware module

planned lifetime - the number of cycles set up by user until the tool should be replaced because of predicted wear out

report - the text file generated by user containing a snapshot of the data stored in the ADM's memory ( How to save the reports )

Sentry - a hardware component of the ADM Control System, able to connect to ADMs through an Ethernet network to a PC. Usually located on a crimping press. ( What the Sentry is for )

Search tab - this tab is split in two. One part contains the connection types, connected ADMs list, warning list, database source path and the reports generator. Second part is used to visualise and control Sentry Network and contains it's settings and reports editor.

Setup tab - this tab contains the User Name and the Password boxes as well as the document path locator, the User Control, Erase Module and Help buttons and the Cell Name text box.

Weighted moving average (WMA) - A weighted average is any average that has multiplying factors to give different weights to different data points. But in technical analysis a weighted moving average (WMA) has the specific meaning of weights which decrease arithmetically. In an n-day WMA the latest day has weight n, the second latest n-1, etc, down to zero.


1-wire USB device

The 1-wire USB device, some times called the Blue Hub, after it's cover colour is a electronic equipment used to drive connection between the PC and the one wire structure.